com.genesyslab.wfm7.API.service.calendar712

## Class CalTimeOffConfiguration

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar712.CalTimeOffConfiguration

- All Implemented Interfaces:
    java.io.Serializable

      public class CalTimeOffConfiguration
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `accrualPeriod`
    `private int` | `accrualPeriodsNumber`
    `private int` | `accrualStartPeriod`
    `private int` | `accrualStartPeriodsNumber`
    `private double` | `accrueHours`
    `private double` | `advanceHours`
    `private int` | `agentID`
    `private boolean` | `autoGrant`
    `private double` | `bonusHours`
    `private double` | `carryOverDay`
    `private double` | `maxBalanceHours`
    `private double` | `maxCarriedOverHours`
    `private int` | `minPeriodsNumberForGrant`
    `private boolean` | `startAccrualFromHiring`
    `private double` | `timeOffDayHours`
    `private int` | `timeOffTypeID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalTimeOffConfiguration()`
    `CalTimeOffConfiguration(int agentID, int timeOffTypeID, double accrueHours, int accrualPeriod, int accrualPeriodsNumber, int accrualStartPeriod, int accrualStartPeriodsNumber, boolean startAccrualFromHiring, double maxCarriedOverHours, double advanceHours, double bonusHours, double timeOffDayHours, double maxBalanceHours, boolean autoGrant, int minPeriodsNumberForGrant, double carryOverDay)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getAccrualPeriod()` Gets the accrualPeriod value for this CalTimeOffConfiguration.
    `int` | `getAccrualPeriodsNumber()` Gets the accrualPeriodsNumber value for this CalTimeOffConfiguration.
    `int` | `getAccrualStartPeriod()` Gets the accrualStartPeriod value for this CalTimeOffConfiguration.
    `int` | `getAccrualStartPeriodsNumber()` Gets the accrualStartPeriodsNumber value for this CalTimeOffConfiguration.
    `double` | `getAccrueHours()` Gets the accrueHours value for this CalTimeOffConfiguration.
    `double` | `getAdvanceHours()` Gets the advanceHours value for this CalTimeOffConfiguration.
    `int` | `getAgentID()` Gets the agentID value for this CalTimeOffConfiguration.
    `double` | `getBonusHours()` Gets the bonusHours value for this CalTimeOffConfiguration.
    `double` | `getCarryOverDay()` Gets the carryOverDay value for this CalTimeOffConfiguration.
    `double` | `getMaxBalanceHours()` Gets the maxBalanceHours value for this CalTimeOffConfiguration.
    `double` | `getMaxCarriedOverHours()` Gets the maxCarriedOverHours value for this CalTimeOffConfiguration.
    `int` | `getMinPeriodsNumberForGrant()` Gets the minPeriodsNumberForGrant value for this CalTimeOffConfiguration.
    `double` | `getTimeOffDayHours()` Gets the timeOffDayHours value for this CalTimeOffConfiguration.
    `int` | `getTimeOffTypeID()` Gets the timeOffTypeID value for this CalTimeOffConfiguration.
    `int` | `hashCode()`
    `boolean` | `isAutoGrant()` Gets the autoGrant value for this CalTimeOffConfiguration.
    `boolean` | `isStartAccrualFromHiring()` Gets the startAccrualFromHiring value for this CalTimeOffConfiguration.
    `void` | `setAccrualPeriod(int accrualPeriod)` Sets the accrualPeriod value for this CalTimeOffConfiguration.
    `void` | `setAccrualPeriodsNumber(int accrualPeriodsNumber)` Sets the accrualPeriodsNumber value for this CalTimeOffConfiguration.
    `void` | `setAccrualStartPeriod(int accrualStartPeriod)` Sets the accrualStartPeriod value for this CalTimeOffConfiguration.
    `void` | `setAccrualStartPeriodsNumber(int accrualStartPeriodsNumber)` Sets the accrualStartPeriodsNumber value for this CalTimeOffConfiguration.
    `void` | `setAccrueHours(double accrueHours)` Sets the accrueHours value for this CalTimeOffConfiguration.
    `void` | `setAdvanceHours(double advanceHours)` Sets the advanceHours value for this CalTimeOffConfiguration.
    `void` | `setAgentID(int agentID)` Sets the agentID value for this CalTimeOffConfiguration.
    `void` | `setAutoGrant(boolean autoGrant)` Sets the autoGrant value for this CalTimeOffConfiguration.
    `void` | `setBonusHours(double bonusHours)` Sets the bonusHours value for this CalTimeOffConfiguration.
    `void` | `setCarryOverDay(double carryOverDay)` Sets the carryOverDay value for this CalTimeOffConfiguration.
    `void` | `setMaxBalanceHours(double maxBalanceHours)` Sets the maxBalanceHours value for this CalTimeOffConfiguration.
    `void` | `setMaxCarriedOverHours(double maxCarriedOverHours)` Sets the maxCarriedOverHours value for this CalTimeOffConfiguration.
    `void` | `setMinPeriodsNumberForGrant(int minPeriodsNumberForGrant)` Sets the minPeriodsNumberForGrant value for this CalTimeOffConfiguration.
    `void` | `setStartAccrualFromHiring(boolean startAccrualFromHiring)` Sets the startAccrualFromHiring value for this CalTimeOffConfiguration.
    `void` | `setTimeOffDayHours(double timeOffDayHours)` Sets the timeOffDayHours value for this CalTimeOffConfiguration.
    `void` | `setTimeOffTypeID(int timeOffTypeID)` Sets the timeOffTypeID value for this CalTimeOffConfiguration.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### agentID

          private int agentID

    - #### timeOffTypeID

          private int timeOffTypeID

    - #### accrueHours

          private double accrueHours

    - #### accrualPeriod

          private int accrualPeriod

    - #### accrualPeriodsNumber

          private int accrualPeriodsNumber

    - #### accrualStartPeriod

          private int accrualStartPeriod

    - #### accrualStartPeriodsNumber

          private int accrualStartPeriodsNumber

    - #### startAccrualFromHiring

          private boolean startAccrualFromHiring

    - #### maxCarriedOverHours

          private double maxCarriedOverHours

    - #### advanceHours

          private double advanceHours

    - #### bonusHours

          private double bonusHours

    - #### timeOffDayHours

          private double timeOffDayHours

    - #### maxBalanceHours

          private double maxBalanceHours

    - #### autoGrant

          private boolean autoGrant

    - #### minPeriodsNumberForGrant

          private int minPeriodsNumberForGrant

    - #### carryOverDay

          private double carryOverDay

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CalTimeOffConfiguration

          public CalTimeOffConfiguration()

    - #### CalTimeOffConfiguration

          public CalTimeOffConfiguration(int agentID,
                                 int timeOffTypeID,
                                 double accrueHours,
                                 int accrualPeriod,
                                 int accrualPeriodsNumber,
                                 int accrualStartPeriod,
                                 int accrualStartPeriodsNumber,
                                 boolean startAccrualFromHiring,
                                 double maxCarriedOverHours,
                                 double advanceHours,
                                 double bonusHours,
                                 double timeOffDayHours,
                                 double maxBalanceHours,
                                 boolean autoGrant,
                                 int minPeriodsNumberForGrant,
                                 double carryOverDay)

  - ### Method Detail

    - #### getAgentID

          public int getAgentID()

      Gets the agentID value for this CalTimeOffConfiguration.
      Returns:
        agentID

    - #### setAgentID

          public void setAgentID(int agentID)

      Sets the agentID value for this CalTimeOffConfiguration.
      Parameters:
        `agentID` -

    - #### getTimeOffTypeID

          public int getTimeOffTypeID()

      Gets the timeOffTypeID value for this CalTimeOffConfiguration.
      Returns:
        timeOffTypeID

    - #### setTimeOffTypeID

          public void setTimeOffTypeID(int timeOffTypeID)

      Sets the timeOffTypeID value for this CalTimeOffConfiguration.
      Parameters:
        `timeOffTypeID` -

    - #### getAccrueHours

          public double getAccrueHours()

      Gets the accrueHours value for this CalTimeOffConfiguration.
      Returns:
        accrueHours

    - #### setAccrueHours

          public void setAccrueHours(double accrueHours)

      Sets the accrueHours value for this CalTimeOffConfiguration.
      Parameters:
        `accrueHours` -

    - #### getAccrualPeriod

          public int getAccrualPeriod()

      Gets the accrualPeriod value for this CalTimeOffConfiguration.
      Returns:
        accrualPeriod

    - #### setAccrualPeriod

          public void setAccrualPeriod(int accrualPeriod)

      Sets the accrualPeriod value for this CalTimeOffConfiguration.
      Parameters:
        `accrualPeriod` -

    - #### getAccrualPeriodsNumber

          public int getAccrualPeriodsNumber()

      Gets the accrualPeriodsNumber value for this CalTimeOffConfiguration.
      Returns:
        accrualPeriodsNumber

    - #### setAccrualPeriodsNumber

          public void setAccrualPeriodsNumber(int accrualPeriodsNumber)

      Sets the accrualPeriodsNumber value for this CalTimeOffConfiguration.
      Parameters:
        `accrualPeriodsNumber` -

    - #### getAccrualStartPeriod

          public int getAccrualStartPeriod()

      Gets the accrualStartPeriod value for this CalTimeOffConfiguration.
      Returns:
        accrualStartPeriod

    - #### setAccrualStartPeriod

          public void setAccrualStartPeriod(int accrualStartPeriod)

      Sets the accrualStartPeriod value for this CalTimeOffConfiguration.
      Parameters:
        `accrualStartPeriod` -

    - #### getAccrualStartPeriodsNumber

          public int getAccrualStartPeriodsNumber()

      Gets the accrualStartPeriodsNumber value for this CalTimeOffConfiguration.
      Returns:
        accrualStartPeriodsNumber

    - #### setAccrualStartPeriodsNumber

          public void setAccrualStartPeriodsNumber(int accrualStartPeriodsNumber)

      Sets the accrualStartPeriodsNumber value for this CalTimeOffConfiguration.
      Parameters:
        `accrualStartPeriodsNumber` -

    - #### isStartAccrualFromHiring

          public boolean isStartAccrualFromHiring()

      Gets the startAccrualFromHiring value for this CalTimeOffConfiguration.
      Returns:
        startAccrualFromHiring

    - #### setStartAccrualFromHiring

          public void setStartAccrualFromHiring(boolean startAccrualFromHiring)

      Sets the startAccrualFromHiring value for this CalTimeOffConfiguration.
      Parameters:
        `startAccrualFromHiring` -

    - #### getMaxCarriedOverHours

          public double getMaxCarriedOverHours()

      Gets the maxCarriedOverHours value for this CalTimeOffConfiguration.
      Returns:
        maxCarriedOverHours

    - #### setMaxCarriedOverHours

          public void setMaxCarriedOverHours(double maxCarriedOverHours)

      Sets the maxCarriedOverHours value for this CalTimeOffConfiguration.
      Parameters:
        `maxCarriedOverHours` -

    - #### getAdvanceHours

          public double getAdvanceHours()

      Gets the advanceHours value for this CalTimeOffConfiguration.
      Returns:
        advanceHours

    - #### setAdvanceHours

          public void setAdvanceHours(double advanceHours)

      Sets the advanceHours value for this CalTimeOffConfiguration.
      Parameters:
        `advanceHours` -

    - #### getBonusHours

          public double getBonusHours()

      Gets the bonusHours value for this CalTimeOffConfiguration.
      Returns:
        bonusHours

    - #### setBonusHours

          public void setBonusHours(double bonusHours)

      Sets the bonusHours value for this CalTimeOffConfiguration.
      Parameters:
        `bonusHours` -

    - #### getTimeOffDayHours

          public double getTimeOffDayHours()

      Gets the timeOffDayHours value for this CalTimeOffConfiguration.
      Returns:
        timeOffDayHours

    - #### setTimeOffDayHours

          public void setTimeOffDayHours(double timeOffDayHours)

      Sets the timeOffDayHours value for this CalTimeOffConfiguration.
      Parameters:
        `timeOffDayHours` -

    - #### getMaxBalanceHours

          public double getMaxBalanceHours()

      Gets the maxBalanceHours value for this CalTimeOffConfiguration.
      Returns:
        maxBalanceHours

    - #### setMaxBalanceHours

          public void setMaxBalanceHours(double maxBalanceHours)

      Sets the maxBalanceHours value for this CalTimeOffConfiguration.
      Parameters:
        `maxBalanceHours` -

    - #### isAutoGrant

          public boolean isAutoGrant()

      Gets the autoGrant value for this CalTimeOffConfiguration.
      Returns:
        autoGrant

    - #### setAutoGrant

          public void setAutoGrant(boolean autoGrant)

      Sets the autoGrant value for this CalTimeOffConfiguration.
      Parameters:
        `autoGrant` -

    - #### getMinPeriodsNumberForGrant

          public int getMinPeriodsNumberForGrant()

      Gets the minPeriodsNumberForGrant value for this CalTimeOffConfiguration.
      Returns:
        minPeriodsNumberForGrant

    - #### setMinPeriodsNumberForGrant

          public void setMinPeriodsNumberForGrant(int minPeriodsNumberForGrant)

      Sets the minPeriodsNumberForGrant value for this CalTimeOffConfiguration.
      Parameters:
        `minPeriodsNumberForGrant` -

    - #### getCarryOverDay

          public double getCarryOverDay()

      Gets the carryOverDay value for this CalTimeOffConfiguration.
      Returns:
        carryOverDay

    - #### setCarryOverDay

          public void setCarryOverDay(double carryOverDay)

      Sets the carryOverDay value for this CalTimeOffConfiguration.
      Parameters:
        `carryOverDay` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.